{% extends 'base.html.twig' %}

{% block title %}Reservation index{% endblock %}
{% block css %}
    <link rel="stylesheet" type="text/css" href="{{ asset('app-assets/vendors/css/vendors.min.css') }}">
    <link rel="stylesheet" type="text/css" href="//cdn.datatables.net/1.10.21/css/jquery.dataTables.min.css">
{% endblock %}
{% block content %}
    <!-- Zero configuration table -->
    <section id="basic-datatable">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-content">
                        <div class="card-body card-dashboard">
                            <div class="table-responsive">
                                <table class="table reservation">
                                    <thead>
                                    <tr>
                                        <th>Date arrivé</th>
                                        <th>Date départ</th>
                                        <th>Client</th>
                                        <th>Chambre</th>
                                        <th class="text-right">Actions</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    {% for reservation in reservations %}
                                        <tr>
                                            <td>{{ reservation.dateArr }}</td>
                                            <td>{{ reservation.dateDep }}</td>
                                            <td>{{ reservation.idClient.nom }}</td>
                                            <td>{{ reservation.idChambre.number }}</td>
                                            <td >
                                                <a  data-toggle="modal" data-target="#border-less{{ reservation.id }}" class="btn btn-group-sm btn-icon btn-info "><i class="bx bxs-search"></i></a>
                                                <a  href="{{ path('reservation_edit', {'id': reservation.id}) }}" class="btn btn-icon btn-group-sm  btn-warning "><i class="bx bx-pen"></i></a>
                                                <a   href="#" onclick="document.getElementById('form1').submit();" class="btn btn-group-sm  btn-icon btn-danger "><i class="bx bx-trash"></i></a>
                                                {{ include('reservation/_delete_form.html.twig') }}
                                            </td>
                                        </tr>
                                        <div class="modal fade text-left modal-borderless" id="border-less{{ reservation.id }}" tabindex="-1" role="dialog" aria-labelledby="myModalLabel{{ reservation.id }}" aria-hidden="true">
                                            <div class="modal-dialog modal-dialog-scrollable" role="document">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <h3 class="modal-title"><span class="badge badge-info">{{ reservation.id }}</span></h3>
                                                        <button type="button" class="close rounded-pill" data-dismiss="modal" aria-label="Close">
                                                            <i class="bx bx-x"></i>
                                                        </button>
                                                    </div>
                                                    <div class="modal-body">
                                                        <div class="col-xl-12 col-md-6 col-12 whether">
                                                            <div class="card">
                                                                <div class="card-header">
                                                                    <div>
                                                                        <h3 class="font-weight-normal mb-0">date d'arrivé: {{ reservation.dateArr }}</h3>
                                                                        <h3 class="font-weight-normal mb-0">date de sortie: {{ reservation.dateDep }}</h3>
                                                                    </div>
                                                                    <div class="heading-elements">
                                                                        <i class="bx bx-rotate-right font-medium-4"></i>
                                                                    </div>
                                                                </div>
                                                                <div class="card-content">
                                                                    <div class="card-body">
                                                                        <div class="d-flex align-items-center justify-content-between">
                                                                            <div>
                                                                                <p class="mb-0"><span class="badge badge-{% if reservation.idChambre.comfort==0 %}danger{% else %}success{% endif %}">{% if reservation.idChambre.comfort==0 %}<DEL>comfort</DEL>{% else %}comfort{% endif %}</span></p>

                                                                            </div>
                                                                            <i class="bx bx-hotel font-large-2"></i>
                                                                        </div>
                                                                        <hr>
                                                                        <div class="d-flex align-items-center justify-content-around">
                                                                            <div class="d-flex flex-column align-items-center">
                                                                                <small class="text-muted">Clients</small>
                                                                                <i class="bx bx-user-circle text-bold-700 font-medium-2 my-50"></i>
                                                                                <small class="text-muted">{{ reservation.idClient.nom }}</small>
                                                                            </div>
                                                                            <div class="d-flex flex-column align-items-center">
                                                                                <small class="text-muted">Chambre</small>
                                                                                <i class="bx bx-hotel font-medium-2 my-50"></i>
                                                                                <small class="text-muted">{{ reservation.idChambre.number }}</small>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-light-primary" data-dismiss="modal">
                                                            <i class="bx bx-x d-block d-sm-none"></i>
                                                            <span class="d-none d-sm-block">Close</span>
                                                        </button>
                                                        <button type="button" class="btn btn-primary ml-1" data-dismiss="modal">
                                                            <i class="bx bx-check d-block d-sm-none"></i>
                                                            <span class="d-none d-sm-block">Accept</span>
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                    {% endfor %}
                                    </tbody>
                                    <tfoot>
                                    <tr>
                                        <th>Date arrivé</th>
                                        <th>Date départ</th>
                                        <th>Client</th>
                                        <th>Chambre</th>
                                        <th class="text-right">Actions</th>
                                    </tr>
                                    </tfoot>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--/ Zero configuration table -->
{% endblock %}
{% block js  %}
    <script src="{{ asset('app-assets/vendors/js/tables/datatable/datatables.min.js') }}"></script>
    <script src="{{ asset('app-assets/vendors/js/tables/datatable/dataTables.bootstrap4.min.js') }}"></script>
    <script src="{{ asset('app-assets/vendors/js/tables/datatable/dataTables.buttons.min.js') }}"></script>
    <script src="{{ asset('app-assets/vendors/js/tables/datatable/buttons.html5.min.js') }}"></script>
{#    <script src="{{ asset('app-assets/vendors/js/tables/datatable/buttons.print.min.js') }}"></script>#}
    <script src="{{ asset('app-assets/vendors/js/tables/datatable/buttons.bootstrap.min.js') }}"></script>
{#    <script src="{{ asset('app-assets/vendors/js/tables/datatable/pdfmake.min.js') }}"></script>#}
{#    <script src="{{ asset('app-assets/vendors/js/tables/datatable/vfs_fonts.js') }}"></script>#}
    <script src="{{ asset('app-assets/vendors/js/scripts/datatable/datatables.min.js') }}"></script>
    <script>
        $('.reservation').DataTable();
    </script>
{% endblock %}